package com.mvc.dao;

import com.mvc.entity.TLendDetail;

import java.util.List;

import com.mvc.entity.TLendDetailExample;
import org.apache.ibatis.annotations.Param;

public interface TLendDetailMapper {
    long countByExample(TLendDetailExample example);

    int deleteByExample(TLendDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TLendDetail record);

    int insertSelective(TLendDetail record);

    List<TLendDetail> selectByExample(TLendDetailExample example);

    TLendDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TLendDetail record, @Param("example") TLendDetailExample example);

    int updateByExample(@Param("record") TLendDetail record, @Param("example") TLendDetailExample example);

    int updateByPrimaryKeySelective(TLendDetail record);

    int updateByPrimaryKey(TLendDetail record);
}